Errores al usar brew para instalar python3

Estoy tratando de instalar Python3 utilizando brew en una MacBook 2008 (OSX Lion).

Tengo algunos años usando apt-get en entornos Linux, pero esta es la primera vez que bash instalar algo utilizando brew .

  • ¿Cómo puedo ejecutar Warcraft III (una aplicación PowerPC) en OS X Mountain Lion?
  • Incapaz de elaborar vino de installation
  • Se instaló openvpn con brew pero no parece estar instalado correctamente
  • No se puede instalar glib con brew
  • ¿Debo reinstalar OS X después de eliminar accidentalmente Python?
  • brew: cómo eliminar la versión obsoleta del package
  • De acuerdo con las instrucciones de Get Your Mac Ready para Python Programming e Install Python 3 en Mac OS X y use virtualenv y virtualenvwrapper que ingresé :

    brew install python3 

    Esto fue después de intentar accidentalmente instalar la versión 2.x de python usando

     brew install python 

    El package de Python se instala bien, pero cuando bash instalar Python3 me sale

     gcc-6 -Wno-unused-result -Wsign-compare -fno-common -dynamic -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -o FileSettings.o -c ./FileSettings.m In file included from /System/Library/Frameworks/Foundation.framework/Headers/Foundation.h:120:0, from ./FileSettings.h:9, from ./FileSettings.m:9: /System/Library/Frameworks/Foundation.framework/Headers/NSTask.h:75:24: error: expected identifier or '(' before '^' token @property (copy) void (^terminationHandler)(NSTask *) NS_AVAILABLE(10_7, NA); ^ /System/Library/Frameworks/Foundation.framework/Headers/NSTask.h:78:1: error: expected identifier before 'end' @end ^ make[2]: *** [FileSettings.o] Error 1 make[1]: *** [install_PythonLauncher] Error 2 make: *** [frameworkinstallapps] Error 2 READ THIS: https://git.io/brew-troubleshooting If reporting this issue please do so at (not Homebrew/brew): https://github.com/Homebrew/homebrew-core/issues These open issues may also help: python & python3: fix sqlite3 on sierra https://github.com/Homebrew/homebrew-core/pull/3134 Warning: You are using OS X 10.7. 

    Por los errores comprobé python & python3: arregle sqlite3 en sierra que parece indicar que el error está en alguna parte con sqlite3 sin embargo, el enlace en python3 (v 3.5.1) no pudo comstackr 10.7.5-x86_64 indica que es un problema con el comstackdor ?

    No estoy seguro de a dónde ir después en el process de resolución de problemas.

  • macOS 10.12 Sierra no olvidará mi frase key de ssh keyfile
  • ¿Qué es "secd"?
  • cómo llenar una tarjeta SDXC de 64 gb con files aleatorios
  • Monitoreo de consumo de energía en Mac
  • ¿Las MacBooks tienen una verdadera opción de "Hibernar"?
  • Desinstalar OSX-gcc-installer sin primero instalar Xcode
  • One Solution collect form web for “Errores al usar brew para instalar python3”

    No tengo forma de probarlo porque ya no estoy ejecutando 10.7, pero el segundo problema que publicó parece exactamente el mismo error y una corrección exitosa estuvo en los comentarios:

     brew install homebrew/dupes/apple-gcc42 brew install python3 --cc=gcc-4.2 

    Esto básicamente instala una versión compatible de gcc y anula la selección del comstackdor al instalar python3.

    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).